org.apache.mina.codec.delimited

## Class ThriftEncoder<OUT extends org.apache.thrift.TBase<?,?>>

- java.lang.Object
- - org.apache.mina.codec.delimited.SizePrefixedEncoder<OUT>
  - - org.apache.mina.codec.delimited.ThriftEncoder<OUT>

All Implemented Interfaces:
  ProtocolEncoder<OUT,ByteBuffer,Void>, StatelessProtocolEncoder<OUT,ByteBuffer>

    public class ThriftEncoder<OUT extends org.apache.thrift.TBase<?,?>>
    extends SizePrefixedEncoder<OUT>

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`ThriftEncoder(Class<OUT> clazz)`

### Method Summary

Methods
`static <L extends org.apache.thrift.TBase<?,?>> ThriftEncoder<L>` `newInstance(Class<L> clazz)`

### Methods inherited from class org.apache.mina.codec.delimited.SizePrefixedEncoder

`createEncoderState, encode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThriftEncoder

    public ThriftEncoder(Class<OUT> clazz)
                  throws NoSuchMethodException

Throws:
  `NoSuchMethodException`

### Method Detail

#### newInstance

    public static <L extends org.apache.thrift.TBase<?,?>> ThriftEncoder<L> newInstance(Class<L> clazz)
                                                                             throws NoSuchMethodException

Throws:
  `NoSuchMethodException`